﻿:root {
    --color-fondo: #F3F4F8;
    --colorLetra: #000000;
    --colorVerde: #59B34A;
    --colorBlanco: #ffffff;
    --colorGris: #707070;
    --colorInfo: #4E68EF;
    --colorDanger: #D90E0E;
    --colorAlert: #F6D217;
}

@font-face {
    font-family: "fontawesome-webfont";
    src: url("../fonts/fontawesome-webfont.eot");
    src: url("../fonts/fontawesome-webfont.svg");
    src: url("../fonts/fontawesome-webfont.ttf");
    src: url("../fonts/fontawesome-webfont.woff");
    src: url("../fonts/fontawesome-webfont.woff2");
}

@font-face {
    font-family: "Open Sans";
    src: url("../fonts/OpenSans-Italic-VariableFont_wdth\,wght.ttf");
    src: url("../fonts/OpenSans-VariableFont_wdth\,wght.ttf")
}

body {
    font-family: 'Open Sans',-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Helvetica Neue', sans-serif;
    font-size: 1rem;
    background-color: var(--color-fondo);
}

.login-container {
    background-color: var(--colorBlanco);
    padding: 3rem 1rem 3rem 1rem;
    border-radius: 12px;
    margin-bottom: 2rem;
}

    .login-container .login-img {
        text-align: center;
    }

    .login-container .login-form .input-group-text, .input-group-text {
        background-color: var(--colorBlanco);
    }

    .login-container .login-form .form-control {
        border-right: none;
    }

    .login-container .login-form .text-info {
        text-align: right;
    }

        .login-container .login-form .text-info p a {
            font-size: 0.8rem;
            color: var(--colorGris);
            text-decoration: none;
        }

            .login-container .login-form .text-info p a:hover {
                text-decoration: underline;
            }

.btn.btn-primary {
    color: var(--colorBlanco);
    border-radius: 25px;
    background-color: var(--colorVerde);
    border-color: var(--colorVerde);
    padding: 0.25rem 1.5rem;
}

    .btn.btn-primary:hover {
        color: var(--colorVerde);
        background-color: var(--colorBlanco);
        border-color: var(--colorVerde);
    }

.btn.btn-disabled {
    color: var(--colorBlanco);
    border-radius: 25px;
    background-color: #B1B1B1;
    border-color: B1B1B1;
    padding: 0.25rem 1.5rem;
}

.login-container .login-form .btn-container {
    text-align: center;
}

.login-container .input-group {
    margin-bottom: 2rem;
}

.error-message {
    font-size: 0.9em; /* Tamaño de fuente más pequeño */
    color: #dc3545; /* Color rojo para el texto de error */
    background-color: #f8d7da; /* Fondo claro */
    border: 1px solid #f5c6cb; /* Borde claro */
    border-radius: 4px; /* Bordes redondeados */
    padding: 10px; /* Espaciado interno */
    margin-top: 10px; /* Espacio arriba */
    width: 100%; /* Ancho del 100% */
    box-sizing: border-box; /* Incluye padding y borde en el ancho total */
}


.menu {
    background-color: var(--colorBlanco);
}

    .menu .navbar-collapse {
        border-top: 1px solid #bdbdbd;
        margin-top: 1rem;
        padding-top: 0.75rem;
        width: 100%;
    }

    .menu .navbar-expand-lg .navbar-nav {
        width: 100%;
    }

    .menu .navbar > .container-fluid {
        padding-right: 0;
        padding-left: 0;
    }

    .menu .navbar-nav .nav-link {
        color: var(--colorLetra);
        padding: 1rem;
        border-bottom: 1px solid #bdbdbd;
        font-weight: 600;
    }



        .menu .navbar-nav .nav-link img {
            padding-right: 1rem;
        }

            .menu .navbar-nav .nav-link img.active {
                display: none;
            }

        .menu .navbar-nav .nav-link.active img.active {
            display: inline-flex !important;
        }

        .menu .navbar-nav .nav-link.active img.disabled {
            display: none !important;
        }

        .menu .navbar-nav .nav-link.active {
            background-color: var(--colorVerde);
            color: var(--colorBlanco);
        }

    .menu .navbar-nav .accordion-button.open:not(.collapsed) {
        background-color: var(--colorBlanco);
        color: var(--colorVerde);
    }

    .menu .navbar-nav .accordion-button img.open {
        display: none;
    }

    .menu .navbar-nav .accordion-button:not(.collapsed) img.open, .menu .navbar-nav .accordion-button:not(.collapsed) img.active {
        display: none;
    }


    .menu .navbar-nav .accordion-button:not(.collapsed) img.disabled {
        display: inline-flex;
    }

    .menu .navbar-nav .accordion-button:not(.collapsed) {
        border-bottom: none;
        background-color: var(--colorBlanco)
    }

    .menu .navbar-nav .accordion-button::after {
        background-image: url(../images/chevron-up.svg);
        transform: rotate(180deg);
    }

    .menu .navbar-nav .accordion-button:not(.collapsed)::after {
        background-image: url(../images/chevron-up.svg);
        transform: rotate(0);
    }

    .menu .navbar-nav .accordion-button.open:not(.collapsed)::after {
        background-image: url(../images/chevron-up.svg);
    }

    .menu .navbar-nav .accordion-button.open:not(.collapsed)::after {
        background-image: url(../images/chevron-up_verde.svg);
        transform: rotate(0);
    }

    .menu .navbar-nav .submenu {
        border-bottom: 1px solid #bdbdbd;
        margin-bottom: 0;
    }

        .menu .navbar-nav .submenu .nav-link {
            border-bottom: none;
            padding-left: 2.5rem;
            font-weight: 500;
        }

.main-content {
    margin-bottom: 2rem;
}

    .main-content .section-title {
        display: flex;
        justify-content: space-between;
        padding: 2rem 1rem;
    }

        .main-content .section-title h1 {
            font-size: 2rem;
        }

    .main-content .section-content {
        background-color: var(--colorBlanco);
        padding: 1rem 1.5rem;
        border-radius: 12px;
        margin-left: 1rem;
        margin-right: 1rem;
    }

        .main-content .section-content h2 {
            font-size: 1.2rem;
            font-weight: 600;
            margin-bottom: 1rem;
            border-bottom: 1px solid #bdbdbd;
            padding-bottom: 0.75rem;
        }

        .main-content .section-content .img-map {
            width: 100%
        }

    .main-content .form-container .form-label {
        font-weight: 600;
        display: flex;
        justify-content: space-between;
    }

    .main-content .form-container .text-help {
        margin-top: 0.5rem;
        font-size: 0.9rem;
    }

    .main-content .form-container .form-label a {
        color: var(--colorVerde);
        font-size: 0.9rem;
    }

    .main-content .form-container .alert-container {
        display: flex;
        flex-direction: column;
    }

    .main-content .form-container .alert {
        padding: 0.5rem 1rem;
        border: 1px solid #B6B6B6;
        border-radius: 5px;
        text-align: center;
        width: 100%;
        margin-right: 1rem;
    }

        .main-content .form-container .alert p {
            text-transform: uppercase;
            margin-bottom: 0;
            padding-top: 0.5rem;
        }

        .main-content .form-container .alert.alert-info, .main-content .alert.alert-info {
            background-color: var(--colorInfo);
            color: var(--colorBlanco);
        }

        .main-content .form-container .alert.alert-alert, .main-content .alert.alert-alert {
            background-color: var(--colorAlert);
            color: var(--colorLetra);
        }

        .main-content .form-container .alert.alert-danger, .main-content .alert.alert-danger {
            background-color: var(--colorDanger);
            color: var(--colorBlanco);
        }

        .main-content .form-container .alert.alert-disabled {
            background-color: var(--colorBlanco);
            color: #B6B6B6;
            border-color: #B6B6B6;
        }

.form-check-input:checked {
    background-color: var(--colorVerde);
    border-color: var(--colorVerde);
}

.form-control:disabled {
    background-color: var(--colorBlanco);
}

.main-content .filter-container .form-control {
    border-left: none;
}

.main-content .textRegistros p {
    margin-top: 0.5rem;
}

.main-content .table > :not(:last-child) > :last-child > * {
    border-color: #59B34A;
}

.main-content table td {
    font-size: 0.9rem;
    align-content: center;
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
}

    .main-content table td.action {
        display: inline-flex;
        width: 100%;
        justify-content: end;
    }

        .main-content table td.action a {
            padding-right: 0.5rem;
        }

.main-content table th.title {
    min-width: 200px;
}

.main-content table td .state-table {
    width: 1rem;
    height: 1rem;
    border-radius: 100%;
}

    .main-content table td .state-table.state-table-active {
        background-color: var(--colorVerde);
    }

.main-content table th.title:last-child {
    min-width: 50px !important;
}

.main-content table .state {
    display: inline-flex;
    padding: 0.3rem 1rem;
    border-radius: 5px;
    min-width: 110px;
}

.main-content table .state-text {
    display: inline-flex;
    justify-content: center; 
    align-items: center; 
    padding: 0.3rem 1rem;
    border-radius: 16px;
    min-width: 110px; 
    text-align: center; 
}

    .main-content table .state-text p {
        margin-bottom: 0;
        color: var(--colorBlanco);
    }

    .main-content table .state-text.alert-state p {
        color: var(--colorLetra);
    }

.main-content table .state img {
    width: 1.2rem;
    height: 1.2rem;
}

.main-content table .state.danger-state {
    background-color: var(--colorDanger);
    color: var(--colorBlanco);
}

.main-content table .state-text.danger-state {
    background-color: var(--colorDanger);
}

.main-content table .state-text.alert-state {
    background-color: var(--colorAlert);
}

.main-content table .state-text.info-state {
    background-color: var(--colorInfo);
}

.main-content table .state-text.active-state {
    background-color: var(--colorVerde);
}
.main-content table .state-text.expired-state {
    background-color: var(--colorGris);
}
.main-content table .state.alert-state {
    background-color: var(--colorAlert);
    color: var(--colorBlanco);
}

.main-content table .state p {
    margin-bottom: 0;
    text-transform: uppercase;
    padding-left: 0.5rem;
    font-weight: 600;
}

.main-content table .state.alert-state p {
    color: var(--colorLetra);
}

.main-content .selectRegistros {
    display: inline-flex;
    align-items: center;
    flex-direction: row-reverse;
}

    .main-content .selectRegistros label {
        font-weight: 400 !important;
        margin-bottom: 0;
        padding-left: 1rem;
    }

.main-content .pagination {
    justify-content: flex-end;
}

    .main-content .pagination .page-item .page-link {
        border: none;
        color: var(--colorLetra)
    }

    .main-content .pagination .page-item.active .page-link {
        background-color: #404040;
        color: var(--colorBlanco);
        border-radius: 5px;
    }

    .main-content .pagination .page-item .page-link:hover {
        background: none;
    }

    .main-content .pagination .page-item .page-link .icon-pag {
        width: 0.75rem;
        height: 0.75em;
    }

        .main-content .pagination .page-item .page-link .icon-pag.icon-pag-right {
            transform: rotate(180deg)
        }

.main-content .alert-container .label-info {
    display: inline-flex;
    margin-bottom: 1rem;
}

    .main-content .alert-container .label-info p {
        margin-bottom: 0rem;
        font-weight: 600;
        padding-right: 1rem;
    }

@media (min-width:767px) {
    .login-container .login-form {
        width: 70%;
        margin-left: auto;
        margin-right: auto;
    }

    .main-content .form-container .alert-container {
        flex-direction: row;
    }

    .main-content .form-container .alert {
        width: 200px;
    }
}

@media(min-width:992px) {
    .menu .navbar-expand-lg .navbar-nav {
        flex-direction: column;
    }

    .menu .navbar-brand {
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
    }

    .menu .container-fluid {
        flex-direction: column;
    }

    .menu {
        min-height: max-content;
        height: 100%;
    }

    .main-content .alert-container div .alert {
        margin-right: 1rem;
    }
    .text-right {
        display: flex;
        justify-content: flex-end;
        margin-bottom: 15px;
    }

}


@media(min-width:1200px) {
    .main-content .alert-container div .alert {
        margin-right: 2rem;
    }
}
